import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PayTrade } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-02 11:01
 */
interface PayTradeCU extends ConditionUtil<PayTradeCU> {
    ID: FieldUtil<PayTradeCU>;
    CATEGORY: FieldUtil<PayTradeCU>;
    INNER_ORDER_NO: FieldUtil<PayTradeCU>;
    OUT_ORDER_NO: FieldUtil<PayTradeCU>;
    CH_ORDER_NO: FieldUtil<PayTradeCU>;
    TOTAL_AMOUNT: FieldUtil<PayTradeCU>;
    PAY_CONFIG_ID: FieldUtil<PayTradeCU>;
    PAY_ACCOUNT_ID: FieldUtil<PayTradeCU>;
    PAY_ACCOUNT_TYPE: FieldUtil<PayTradeCU>;
    PAY_METHOD: FieldUtil<PayTradeCU>;
    PAY_TIME_EXPIRE: FieldUtil<PayTradeCU>;
    PREPAY_TIME: FieldUtil<PayTradeCU>;
    PAID_TIME: FieldUtil<PayTradeCU>;
    CURRENCY_CODE: FieldUtil<PayTradeCU>;
    ORDER_TITLE: FieldUtil<PayTradeCU>;
    ORDER_DESC: FieldUtil<PayTradeCU>;
    PAY_STATUS: FieldUtil<PayTradeCU>;
    PAY_REP_CODE: FieldUtil<PayTradeCU>;
    PAY_REP_MSG: FieldUtil<PayTradeCU>;
    BIZ_STATUS: FieldUtil<PayTradeCU>;
    ISSUING_BANK: FieldUtil<PayTradeCU>;
    EXT_JSON: FieldUtil<PayTradeCU>;
    REMARK: FieldUtil<PayTradeCU>;
    STATE: FieldUtil<PayTradeCU>;
    CREATE_TIME: FieldUtil<PayTradeCU>;
    UPDATE_TIME: FieldUtil<PayTradeCU>;
    RETURN_URL: FieldUtil<PayTradeCU>;
    CUST_NAME: FieldUtil<PayTradeCU>;
    CUST_PHONE: FieldUtil<PayTradeCU>;
    CUST_EMAIL: FieldUtil<PayTradeCU>;
    SYNC_METHOD: FieldUtil<PayTradeCU>;
}
declare class PayTradeMU extends TableUtilImpl<PayTradeCU, PayTrade> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PayTradeCU;
    static get ID(): FieldUtil<PayTradeCU>;
    static get CATEGORY(): FieldUtil<PayTradeCU>;
    static get INNER_ORDER_NO(): FieldUtil<PayTradeCU>;
    static get OUT_ORDER_NO(): FieldUtil<PayTradeCU>;
    static get CH_ORDER_NO(): FieldUtil<PayTradeCU>;
    static get TOTAL_AMOUNT(): FieldUtil<PayTradeCU>;
    static get PAY_CONFIG_ID(): FieldUtil<PayTradeCU>;
    static get PAY_ACCOUNT_ID(): FieldUtil<PayTradeCU>;
    static get PAY_ACCOUNT_TYPE(): FieldUtil<PayTradeCU>;
    static get PAY_METHOD(): FieldUtil<PayTradeCU>;
    static get PAY_TIME_EXPIRE(): FieldUtil<PayTradeCU>;
    static get PREPAY_TIME(): FieldUtil<PayTradeCU>;
    static get PAID_TIME(): FieldUtil<PayTradeCU>;
    static get CURRENCY_CODE(): FieldUtil<PayTradeCU>;
    static get ORDER_TITLE(): FieldUtil<PayTradeCU>;
    static get ORDER_DESC(): FieldUtil<PayTradeCU>;
    static get PAY_STATUS(): FieldUtil<PayTradeCU>;
    static get PAY_REP_CODE(): FieldUtil<PayTradeCU>;
    static get PAY_REP_MSG(): FieldUtil<PayTradeCU>;
    static get BIZ_STATUS(): FieldUtil<PayTradeCU>;
    static get ISSUING_BANK(): FieldUtil<PayTradeCU>;
    static get EXT_JSON(): FieldUtil<PayTradeCU>;
    static get REMARK(): FieldUtil<PayTradeCU>;
    static get STATE(): FieldUtil<PayTradeCU>;
    static get CREATE_TIME(): FieldUtil<PayTradeCU>;
    static get UPDATE_TIME(): FieldUtil<PayTradeCU>;
    static get RETURN_URL(): FieldUtil<PayTradeCU>;
    static get CUST_NAME(): FieldUtil<PayTradeCU>;
    static get CUST_PHONE(): FieldUtil<PayTradeCU>;
    static get CUST_EMAIL(): FieldUtil<PayTradeCU>;
    static get SYNC_METHOD(): FieldUtil<PayTradeCU>;
    get ID(): FieldUtil<PayTradeCU>;
    get CATEGORY(): FieldUtil<PayTradeCU>;
    get INNER_ORDER_NO(): FieldUtil<PayTradeCU>;
    get OUT_ORDER_NO(): FieldUtil<PayTradeCU>;
    get CH_ORDER_NO(): FieldUtil<PayTradeCU>;
    get TOTAL_AMOUNT(): FieldUtil<PayTradeCU>;
    get PAY_CONFIG_ID(): FieldUtil<PayTradeCU>;
    get PAY_ACCOUNT_ID(): FieldUtil<PayTradeCU>;
    get PAY_ACCOUNT_TYPE(): FieldUtil<PayTradeCU>;
    get PAY_METHOD(): FieldUtil<PayTradeCU>;
    get PAY_TIME_EXPIRE(): FieldUtil<PayTradeCU>;
    get PREPAY_TIME(): FieldUtil<PayTradeCU>;
    get PAID_TIME(): FieldUtil<PayTradeCU>;
    get CURRENCY_CODE(): FieldUtil<PayTradeCU>;
    get ORDER_TITLE(): FieldUtil<PayTradeCU>;
    get ORDER_DESC(): FieldUtil<PayTradeCU>;
    get PAY_STATUS(): FieldUtil<PayTradeCU>;
    get PAY_REP_CODE(): FieldUtil<PayTradeCU>;
    get PAY_REP_MSG(): FieldUtil<PayTradeCU>;
    get BIZ_STATUS(): FieldUtil<PayTradeCU>;
    get ISSUING_BANK(): FieldUtil<PayTradeCU>;
    get EXT_JSON(): FieldUtil<PayTradeCU>;
    get REMARK(): FieldUtil<PayTradeCU>;
    get STATE(): FieldUtil<PayTradeCU>;
    get CREATE_TIME(): FieldUtil<PayTradeCU>;
    get UPDATE_TIME(): FieldUtil<PayTradeCU>;
    get RETURN_URL(): FieldUtil<PayTradeCU>;
    get CUST_NAME(): FieldUtil<PayTradeCU>;
    get CUST_PHONE(): FieldUtil<PayTradeCU>;
    get CUST_EMAIL(): FieldUtil<PayTradeCU>;
    get SYNC_METHOD(): FieldUtil<PayTradeCU>;
}
export { PayTradeMU, PayTradeCU };
